--****************************
--  EHSD
--  DATA MODE PAGE: GPS DATA
--****************************

local mpcd_path = LockOn_Options.script_path.."MPCD/indicator/EHSD/"

dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")

-- MENU
-- LEFT
local	ehsd_btn_02				= CreateElement "ceStringPoly"
		ehsd_btn_02.name		= "ehsd_btn_02"
		ehsd_btn_02.material	= mpcd_font_base
		ehsd_btn_02.init_pos	= mpcd_btn_02_pos
		ehsd_btn_02.alignment	= "CenterCenter"
		ehsd_btn_02.value		= "D\nA\nT\nA"
		ehsd_btn_02.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(ehsd_btn_02)

local	ehsd_btn_03				= CreateElement "ceStringPoly"
		ehsd_btn_03.name		= "ehsd_btn_03"
		ehsd_btn_03.material	= mpcd_font_base
		ehsd_btn_03.init_pos	= mpcd_btn_03_pos
		ehsd_btn_03.alignment	= "CenterCenter"
		ehsd_btn_03.value		= "G\nP\nS\nE"
		ehsd_btn_03.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(ehsd_btn_03)

local	ehsd_btn_04				= CreateElement "ceStringPoly"
		ehsd_btn_04.name		= "ehsd_btn_04"
		ehsd_btn_04.material	= mpcd_font_base
		ehsd_btn_04.init_pos	= mpcd_btn_04_pos
		ehsd_btn_04.alignment	= "CenterCenter"
		ehsd_btn_04.value		= "G\nP\nS\nX"
		ehsd_btn_04.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(ehsd_btn_04)

-- TOP
local	ehsd_btn_08				= CreateElement "ceStringPoly"
		ehsd_btn_08.name		= "ehsd_btn_08"
		ehsd_btn_08.material	= mpcd_font_base
		ehsd_btn_08.init_pos	= mpcd_btn_08_pos
		ehsd_btn_08.alignment	= "CenterCenter"
		ehsd_btn_08.value		= "GPS"
		ehsd_btn_08.stringdefs	= MPCD_default_font_size
Add_MPCD_Element(ehsd_btn_08)

-- RIGHT
local	ehsd_btn_12				= create_mpcd_textured_box( 180, 864, 198, 922)
		ehsd_btn_12.name		= "ehsd_btn_12"
		ehsd_btn_12.init_pos	= mpcd_btn_12_pos
Add_MPCD_Element(ehsd_btn_12)

local	ehsd_btn_13				= create_mpcd_textured_box( 209, 864, 227, 924)
		ehsd_btn_13.name		= "ehsd_btn_13"
		ehsd_btn_13.init_pos	= mpcd_btn_13_pos
Add_MPCD_Element(ehsd_btn_13)

-- BOTTOM
local	ehsd_btn_16				= create_mpcd_textured_box( 180, 864, 198, 922)
		ehsd_btn_16.name		= "ehsd_btn_16"
		ehsd_btn_16.init_pos	= mpcd_btn_16_pos
Add_MPCD_Element(ehsd_btn_16)

local	ehsd_btn_17				= create_mpcd_textured_box( 209, 864, 227, 924)
		ehsd_btn_17.name		= "ehsd_btn_17"
		ehsd_btn_17.init_pos	= mpcd_btn_17_pos
Add_MPCD_Element(ehsd_btn_17)

-- BOXED SELECTIONS
local	data_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		data_mode_sel.name			= "data_mode_sel"
		data_mode_sel.init_pos		= mpcd_btn_02_pos
Add_MPCD_Element(data_mode_sel)

local	data_gps_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		data_gps_sel.name			= "data_gps_sel"
		data_gps_sel.init_pos		= mpcd_btn_08_pos
Add_MPCD_Element(data_gps_sel)



